#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Getopt
%define		pnam	ArgvFile
Summary:	Getopt::ArgvFile - interpolates script options from files into @ARGV
Summary(pl.UTF-8):	Getopt::ArgvFile - interpolacja opcji skryptu z pliku do @ARGV
Name:		perl-Getopt-ArgvFile
Version:	1.11
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Getopt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	42117db2af4a24c062b2da25d4fdf756
URL:		http://search.cpan.org/dist/Getopt-ArgvFile/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Getopt::ArgvFile Perl module simply interpolates option file hints
in @ARGV by the contents of the pointed files. This enables option
reading from files instead of or additional to the usual reading from
the command line.

%description -l pl.UTF-8
Moduł Perla Getopt::ArgvFile służy do interpolacji opcji skryptu z
pliku do @ARGV poprzez zawartość wskazywanych plików. Włącza to odczyt
opcji z pliku zamiast lub oprócz zwykłego ich odczytu z linii
polecenia.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Getopt/ArgvFile.pm
%{_mandir}/man3/Getopt::ArgvFile.3pm*
%changelog
* Sun Sep 02 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Getopt-ArgvFile.git;a=log;h=master

* Sun Dec 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 391abf8
- updated to 1.11

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 978446b
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 714ac68
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 568ee5a
- converted to UTF-8

* Sun Feb 26 2006 Maciej Pijanka <agaran@pld-linux.org> 5efb280
- up to 1.10 rel 1

* Mon Nov 08 2004 paladine <paladine@pld-linux.org> 01f475d
- updated to 1.09

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> a344206
- formatting

* Sun May 02 2004 Adam Gołębiowski <adamg@pld-linux.org> 2ab80db
- updated to 1.08

* Sun Apr 25 2004 Jakub Bogusz <qboosh@pld-linux.org> 3d081f3
- release 10 for Ac

* Sat Apr 24 2004 ankry <ankry@pld-linux.org> 83e0fb4
- test added

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> a3eff6f
- summary/desc

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> a7bc365
- license fixes/unification

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 9657d6f
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> a36ec4a
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 34d2ccb
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 738eaee
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> e582457
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> aff4255
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 658fcf4
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 8398c6e
- massive attack: change CPAN URLs

